# WOK
TKWOK
WOKNT

# WOKNT_SequenceOfShell Class Reference

`#include <WOKNT_SequenceOfShell.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| WOKNT_SequenceOfShell ()
Standard_EXPORT void | Clear ()
| ~WOKNT_SequenceOfShell ()
Standard_EXPORT const WOKNT_SequenceOfShell & | Assign (const WOKNT_SequenceOfShell &Other)
const WOKNT_SequenceOfShell & | operator= (const WOKNT_SequenceOfShell &Other)
Standard_EXPORT void | Append (const Handle(WOKNT_Shell)&T)
void | Append (WOKNT_SequenceOfShell &S)
Standard_EXPORT void | Prepend (const Handle(WOKNT_Shell)&T)
void | Prepend (WOKNT_SequenceOfShell &S)
void | InsertBefore (const Standard_Integer Index, const Handle(WOKNT_Shell)&T)
void | InsertBefore (const Standard_Integer Index, WOKNT_SequenceOfShell &S)
Standard_EXPORT void | InsertAfter (const Standard_Integer Index, const Handle(WOKNT_Shell)&T)
void | InsertAfter (const Standard_Integer Index, WOKNT_SequenceOfShell &S)
Standard_EXPORT const Handle_WOKNT_Shell & | First () const
Standard_EXPORT const Handle_WOKNT_Shell & | Last () const
void | Split (const Standard_Integer Index, WOKNT_SequenceOfShell &Sub)
Standard_EXPORT const Handle_WOKNT_Shell & | Value (const Standard_Integer Index) const
const Handle_WOKNT_Shell & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(WOKNT_Shell)&I)
Standard_EXPORT Handle_WOKNT_Shell & | ChangeValue (const Standard_Integer Index)
Handle_WOKNT_Shell & | operator() (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer FromIndex, const Standard_Integer ToIndex)

## Private Member Functions

Standard_EXPORT | WOKNT_SequenceOfShell (const WOKNT_SequenceOfShell &Other)

## Constructor & Destructor Documentation

WOKNT_SequenceOfShell::WOKNT_SequenceOfShell | ( |  | ) |

WOKNT_SequenceOfShell::~WOKNT_SequenceOfShell | ( |  | ) | `[inline]`

Standard_EXPORT WOKNT_SequenceOfShell::WOKNT_SequenceOfShell | ( | const WOKNT_SequenceOfShell & | Other | ) | `[private]`

## Member Function Documentation

void WOKNT_SequenceOfShell::Append | ( | WOKNT_SequenceOfShell & | S | ) |

Standard_EXPORT void WOKNT_SequenceOfShell::Append | ( | const Handle(WOKNT_Shell)& | T | ) |

Standard_EXPORT const WOKNT_SequenceOfShell& WOKNT_SequenceOfShell::Assign | ( | const WOKNT_SequenceOfShell & | Other | ) |

Standard_EXPORT Handle_WOKNT_Shell& WOKNT_SequenceOfShell::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void WOKNT_SequenceOfShell::Clear | ( |  | ) |

Standard_EXPORT const Handle_WOKNT_Shell& WOKNT_SequenceOfShell::First | ( |  | ) | const

void WOKNT_SequenceOfShell::InsertAfter | ( | const Standard_Integer | Index,
|  | WOKNT_SequenceOfShell & | S
| ) |

Standard_EXPORT void WOKNT_SequenceOfShell::InsertAfter | ( | const Standard_Integer | Index,
|  | const Handle(WOKNT_Shell)& | T
| ) |

void WOKNT_SequenceOfShell::InsertBefore | ( | const Standard_Integer | Index,
|  | WOKNT_SequenceOfShell & | S
| ) |

void WOKNT_SequenceOfShell::InsertBefore | ( | const Standard_Integer | Index,
|  | const Handle(WOKNT_Shell)& | T
| ) |

Standard_EXPORT const Handle_WOKNT_Shell& WOKNT_SequenceOfShell::Last | ( |  | ) | const

void WOKNT_SequenceOfShell::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKNT_SequenceOfShell::operator new | ( | size_t | size | ) | `[inline]`

void* WOKNT_SequenceOfShell::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_WOKNT_Shell& WOKNT_SequenceOfShell::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_WOKNT_Shell& WOKNT_SequenceOfShell::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const WOKNT_SequenceOfShell& WOKNT_SequenceOfShell::operator= | ( | const WOKNT_SequenceOfShell & | Other | ) | `[inline]`

void WOKNT_SequenceOfShell::Prepend | ( | WOKNT_SequenceOfShell & | S | ) |

Standard_EXPORT void WOKNT_SequenceOfShell::Prepend | ( | const Handle(WOKNT_Shell)& | T | ) |

Standard_EXPORT void WOKNT_SequenceOfShell::Remove | ( | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

Standard_EXPORT void WOKNT_SequenceOfShell::Remove | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void WOKNT_SequenceOfShell::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(WOKNT_Shell)& | I
| ) |

void WOKNT_SequenceOfShell::Split | ( | const Standard_Integer | Index,
|  | WOKNT_SequenceOfShell & | Sub
| ) |

Standard_EXPORT const Handle_WOKNT_Shell& WOKNT_SequenceOfShell::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- WOKNT_SequenceOfShell.hxx